# Class Mandrill_Urls

Located at Mandrill/Urls.php

Methods summary
`public` | # `__construct( `Mandrill` $master )`

`public array`

# `getList( )`

Get the 100 most clicked URLs

Get the 100 most clicked URLs

#### Returns

`array`
the 100 most clicked URLs and their stats - return[] struct the individual URL stats - url string the URL to be tracked - sent integer the number of emails that contained the URL - clicks integer the number of times the URL has been clicked from a tracked email - unique_clicks integer the number of unique emails that have generated clicks for this URL

`public array`

# `search( string $q )`

Return the 100 most clicked URLs that match the search query given

Return the 100 most clicked URLs that match the search query given

#### Parameters

$q
  `string`
  $q a search query

#### Returns

`array`
the 100 most clicked URLs matching the search query - return[] struct the URL matching the query - url string the URL to be tracked - sent integer the number of emails that contained the URL - clicks integer the number of times the URL has been clicked from a tracked email - unique_clicks integer the number of unique emails that have generated clicks for this URL

`public array`

# `timeSeries( string $url )`

Return the recent history (hourly stats for the last 30 days) for a url

Return the recent history (hourly stats for the last 30 days) for a url

#### Parameters

$url
  `string`
  $url an existing URL

#### Returns

`array`
the array of history information - return[] struct the information for a single hour - time string the hour as a UTC date string in YYYY-MM-DD HH:MM:SS format - sent integer the number of emails that were sent with the URL during the hour - clicks integer the number of times the URL was clicked during the hour - unique_clicks integer the number of unique clicks generated for emails sent with this URL during the hour

`public array`

# `trackingDomains( )`

Get the list of tracking domains set up for this account

Get the list of tracking domains set up for this account

#### Returns

`array`
the tracking domains and their status - return[] struct the individual tracking domain - domain string the tracking domain name - created_at string the date and time that the tracking domain was added as a UTC string in YYYY-MM-DD HH:MM:SS format - last_tested_at string when the domain's DNS settings were last tested as a UTC string in YYYY-MM-DD HH:MM:SS format - cname struct details about the domain's CNAME record - valid boolean whether the domain's CNAME record is valid for use with Mandrill - valid_after string when the domain's CNAME record will be considered valid for use with Mandrill as a UTC string in YYYY-MM-DD HH:MM:SS format. If set, this indicates that the record is valid now, but was previously invalid, and Mandrill will wait until the record's TTL elapses to start using it. - error string an error describing the CNAME record, or null if the record is correct - valid_tracking boolean whether this domain can be used as a tracking domain for email.

`public struct`

# `addTrackingDomain( string $domain )`

Add a tracking domain to your account

Add a tracking domain to your account

#### Parameters

$domain
  `string`
  $domain a domain name

#### Returns

`struct`
information about the domain - domain string the tracking domain name - created_at string the date and time that the tracking domain was added as a UTC string in YYYY-MM-DD HH:MM:SS format - last_tested_at string when the domain's DNS settings were last tested as a UTC string in YYYY-MM-DD HH:MM:SS format - cname struct details about the domain's CNAME record - valid boolean whether the domain's CNAME record is valid for use with Mandrill - valid_after string when the domain's CNAME record will be considered valid for use with Mandrill as a UTC string in YYYY-MM-DD HH:MM:SS format. If set, this indicates that the record is valid now, but was previously invalid, and Mandrill will wait until the record's TTL elapses to start using it. - error string an error describing the CNAME record, or null if the record is correct - valid_tracking boolean whether this domain can be used as a tracking domain for email.

`public struct`

# `checkTrackingDomain( string $domain )`

Checks the CNAME settings for a tracking domain. The domain must have been added already with the add-tracking-domain call

Checks the CNAME settings for a tracking domain. The domain must have been added already with the add-tracking-domain call

#### Parameters

$domain
  `string`
  $domain an existing tracking domain name

#### Returns

`struct`
information about the tracking domain - domain string the tracking domain name - created_at string the date and time that the tracking domain was added as a UTC string in YYYY-MM-DD HH:MM:SS format - last_tested_at string when the domain's DNS settings were last tested as a UTC string in YYYY-MM-DD HH:MM:SS format - cname struct details about the domain's CNAME record - valid boolean whether the domain's CNAME record is valid for use with Mandrill - valid_after string when the domain's CNAME record will be considered valid for use with Mandrill as a UTC string in YYYY-MM-DD HH:MM:SS format. If set, this indicates that the record is valid now, but was previously invalid, and Mandrill will wait until the record's TTL elapses to start using it. - error string an error describing the CNAME record, or null if the record is correct - valid_tracking boolean whether this domain can be used as a tracking domain for email.